#! Flux2D 12.0


#executeBatchSpy('solving.py')
# Remplacer le formateur de double
df2 = session.supervisor.getFormaterBuilder().buildIngineerFormaterWithConstantSize(6)
session.supervisor.getFormaterBuilder().setExportFormater(df2)

displayIsovalues()


EvolutiveCurve2D(name='Cogging_Torque',
				 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
				 limitMin=0.0,
				 limitMax=15.0)]),
				 formula=['TorqueElecMag(ROTOR)'])

CurveVariation2D['COGGING_TORQUE'].exportTXT(txtFile='result/TestCase_RES',
											 mode='add')



saveProjectAs('postprocessed.FLU')

