#! Flux2D 12.0


#executeBatchSpy('buildPhys.py')
Scenario(name='cst_speed')


Scenario['cst_speed'].addPilot(pilot=MultiValues(parameter=VariationParameter['ANGPOS_ROTOR'],
							   intervals=[IntervalStepValue(minValue=0.0,
							   maxValue=182.0,
							   stepValue=1.0)]))


SolvingOptions['SOLVING_OPTIONS'].newtonRaphsonParameters = ParametersNewtonRaphson(precision=1.0E-4,
																					maximumIterationNumber=100,
																					stopSolve='stopTransientSolving',
																					relaxationFactorComputationMethod=ParametersNewtonRaphsonRelaxationFactorComputationMethodFujiwara())


		
Scenario['CST_SPEED'].solve(projectName='solved')

