#! Flux2D 12.0


#executeBatchSpy('solving.py')
# Remplacer le formateur de double
df2 = session.supervisor.getFormaterBuilder().buildIngineerFormaterWithConstantSize(6)
session.supervisor.getFormaterBuilder().setExportFormater(df2)
 
EvolutiveCurve3D(name='Torque',
			 evolutivePath=EvolutivePath(parameterSet=[SetParameterYVariable(paramEvol=VariationParameter['CURRENT'],
			 limitMin=10.0,
			 limitMax=200.0),
			 SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
			 limitMin=0.0,
			 limitMax=182.0)]),
			 formula=['TorqueElecMag(ROTOR)'])


EvolutiveCurve3D(name='Flux_phase_A',
				 evolutivePath=EvolutivePath(parameterSet=[SetParameterYVariable(paramEvol=VariationParameter['CURRENT'],
				 limitMin=10.0,
				 limitMax=200.0),
				 SetParameterXVariable(paramEvol=VariationParameter['ANGPOS_ROTOR'],
				 limitMin=0.0,
				 limitMax=182.0)]),
				 formula=['FluxCoil(C_1)'])
				 
CurveVariation3D[ALL].exportTXT(txtFile='result/TestCase_RES',
								mode='add')
 
saveProjectAs('postprocessed.FLU')
