#! Flux2D 12.0


#executeBatchSpy('buildPhys.py')

Scenario(name='MULTISTATIC',
	 adaptive=InactivatedAdaptive(),
	 distributedComputing='yes')

Scenario['MULTISTATIC'].addPilot(pilot=MultiValues(parameter=VariationParameter['ANGPOS_ROTOR'],
								 intervals=[IntervalStepValue(minValue=0.0,
								 maxValue=182.0,
								 stepValue=2.0)]))

Scenario['MULTISTATIC'].addPilot(pilot=MultiValues(parameter=VariationParameter['CURRENT'],
								 intervals=[IntervalStepValue(minValue=10.0,
								 maxValue=200.0,
								 stepValue=15.0)]))
Scenario['MULTISTATIC'].solve(projectName='solved')


